<div id="create-product">
  <div class="d-flex align-center justify-space-between">
    <nuxt-link to="/admin/products" class="text-decoration-none">
      <div class="d-flex align-center">
        <p class="mb-0 h6 black--text">Promotion</p>
      </div>
    </nuxt-link>
    <div>
      <v-btn
        color="#076CE3"
        class="elevation-0"
        :disabled="loading"
        @click="onUpdatePromotion()"
      >
        <v-progress-circular
          indeterminate
          color="#076CE3"
          v-if="loading"
          size="22"
        >
        </v-progress-circular>
        <div class="d-flex align-center" v-else>
          <v-icon color="#ffffff"> mdi-check </v-icon>
          <p class="ml-2 mb-0 fsize-16 text-capitalize white--text">Done</p>
        </div>
      </v-btn>
    </div>
  </div>
  <v-row class="mt-5">
    <v-col cols="12" md="9" class="pa-3">
      <v-card class="ui-card pa-6">
        <p class="mb-0 fsize-18 lightContentPrimary">Promotion Information:</p>
        <v-row no-gutters>
          <v-col
            cols="12"
            sm="4"
            class="pa-3 d-flex align-center justify-sm-end"
          >
            <p class="mb-0 lightContentPrimary text-right text-capitalize">
              *Promotion Name:
            </p>
          </v-col>
          <v-col cols="12" sm="8" class="pa-3">
            <div id="hideBottomInput">
              <v-text-field
                dense
                outlined
                placeholder="Promotion Name"
                v-model="promotion.name"
              >
              </v-text-field>
            </div>
          </v-col>
          <!-- <v-col cols="12" sm="4" class="pa-3 d-flex align-center justify-sm-end">
            <p class="mb-0 lightContentPrimary text-right text-capitalize">
              Promotion Code:
            </p>
          </v-col>
          <v-col cols="12" sm="8" class="pa-3">
            <div id="hideBottomInput">
              <v-text-field dense outlined placeholder="Promotion code">
              </v-text-field>
            </div>
          </v-col> -->
          <v-col
            cols="12"
            sm="4"
            class="pa-3 d-flex align-center justify-sm-end"
          >
            <p class="mb-0 lightContentPrimary text-right text-capitalize">
              *Type:
            </p>
          </v-col>
          <v-col cols="12" sm="8" class="pa-0">
            <v-row no-gutters id="hideBottomInput">
              <v-col cols="12" sm="4" class="pa-3">
                <v-autocomplete
                  dense
                  outlined
                  :items="listDiscountType"
                  item-text="name"
                  item-value="value"
                  v-model="promotion.discountType"
                ></v-autocomplete>
              </v-col>
              <v-col cols="12" sm="8" class="pa-3">
                <v-text-field
                  dense
                  outlined
                  placeholder="Enter value"
                  v-model.number="promotion.value"
                  v-if="promotion.discountType === 1"
                  prefix="%"
                ></v-text-field>
                <v-text-field
                  dense
                  outlined
                  placeholder="Enter value"
                  v-model.number="promotion.value"
                  v-else
                  prefix="$"
                >
                </v-text-field>
              </v-col>
            </v-row>
          </v-col>
        </v-row>
      </v-card>
      <!-- <v-card class="ui-card pa-6 mt-2">
        <div class="d-sm-flex align-center justify-space-between">
          <p class="mb-0 fsize-18 lightContentPrimary">
            Applied <span>{{promotion.promotionType == 2 ? 'Collection' : 'Products'}}</span>
          </p>
          <div id="hideBottomInput" class="mt-3 mt-sm-0">
            <v-radio-group v-model="promotion.promotionType" row class="mt-0">
              <v-radio label="All Products" value="1"></v-radio>
              <v-radio label="Customized Category" value="2"></v-radio>
              <v-radio label="Customized Product" value="3"></v-radio>
            </v-radio-group>
          </div>
        </div>
        <div class="mt-4">
          <div>
            <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
            </v-skeleton-loader>
            <div v-else>
              <div v-if="promotion.promotionType === '2'">
                <v-simple-table class="scrollTable c-pointer" fixed-header
                  style="border: 1px solid #EDEEEF; border-radius: 8px 8px 8px 8px;">
                  <template v-slot:default>
                    <thead>
                      <tr>
                        <th class="px-0">
                          <div class="d-flex align-center" style="width: 400px">
                            <v-checkbox v-model="selectedAll" class="pl-3"></v-checkbox>
                            <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                              Name
                            </p>
                          </div>
                        </th>
                        <th class="text-left px-0">
                          <div style="width: 160px">
                            <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                              QTY
                            </p>
                          </div>
                        </th>
                        <th class="text-left px-0">
                          <div style="width: 160px">
                            <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                              Status
                            </p>
                          </div>
                        </th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr v-for="(collection,i) in listCollection" :key="collection._id">
                        <td class="px-0 py-2">
                          <div class="d-flex align-center">
                            <v-checkbox v-model="listIds" :value="collection._id" class="pl-3"></v-checkbox>
                            <nuxt-link :to="`/admin/shop/collection/${collection._id}`" class="text-decoration-none">
                              <div class="d-flex align-center">
                                <div class="d-flex align-center">
                                  <img :src="convertImage(collection)" alt="" width="64" height="64" class="rounded-lg">
                                </div>
                                <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                                  {{collection.name}}
                                </p>
                              </div>
                            </nuxt-link>
                          </div>
                        </td>
                        <td class="px-0">
                          <p class="mb-0 fsize-14 font-weight-bold"
                            :class="collection.amount > 0 ? 'lightContentBlue' : 'lightSemanticError'">
                            {{collection.productAmount}}
                          </p>
                        </td>
                        <td class="px-0">
                          <p class="mb-0 fsize-16 font-weight-bold green--text"
                            v-if="statusRunning(collection, 'collection')">
                            Running
                          </p>
                          <p class="mb-0 fsize-16 font-weight-bold orange--text" v-else>
                            Stop
                          </p>
                        </td>
                      </tr>
                    </tbody>
                  </template>
                </v-simple-table>
                <div class="d-flex justify-center my-2" v-if="listCollection.length == 0 && !loadingTable">
                  <span>No collections</span>
                </div>
              </div>
              <div v-if="promotion.promotionType === '3'">
                <v-simple-table class="scrollTable c-pointer" fixed-header
                  style="border: 1px solid #EDEEEF; border-radius: 8px 8px 8px 8px;">
                  <template v-slot:default>
                    <thead>
                      <tr>
                        <th class="px-0">
                          <div class="d-flex align-center" style="width: 400px">
                            <v-checkbox v-model="selectedAll" class="pl-3"></v-checkbox>
                            <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                              Product Name
                            </p>
                          </div>
                        </th>
                        <th class="text-left px-0">
                          <div style="width: 160px">
                            <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                              Variants
                            </p>
                          </div>
                        </th>
                        <th class="text-left px-0">
                          <div style="width: 160px">
                            <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                              Stock
                            </p>
                          </div>
                        </th>
                        <th class="text-left px-0">
                          <div style="width: 160px">
                            <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                              Collection
                            </p>
                          </div>
                        </th>
                        <th class="text-left px-0">
                          <div style="width: 160px">
                            <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                              Price
                            </p>
                          </div>
                        </th>
                        <th class="text-left px-0">
                          <div style="width: 160px">
                            <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                              Status
                            </p>
                          </div>
                        </th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr v-for="(product,i) in listProduct" :key="product._id">
                        <td class="px-0 py-2">
                          <div class="d-flex align-center">
                            <v-checkbox v-model="listIds" :value="product._id" class="pl-3"></v-checkbox>
                            <nuxt-link :to="`/admin/products/edit/${product._id}`" class="text-decoration-none">
                              <div class="d-flex align-center">
                                <div class="d-flex align-center">
                                  <img :src="convertImage(product)" alt="" width="64" height="64" class="rounded-lg">
                                </div>
                                <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                                  {{product.name}}
                                </p>
                              </div>
                            </nuxt-link>
                          </div>
                        </td>
                        <td class="px-0">
                          <p class="mb-0 fsize-14-400 ">
                            {{product.variant && product.variant.length && $utils.formatCurrency(product.variant.length)}}
                          </p>
                        </td>
                        <td class="px-0">
                          <p class="mb-0 fsize-14 font-weight-bold"
                            :class="product.amount > 0 ? 'lightContentBlue' : 'lightSemanticError'">
                            {{totalStockProduct(product)}}
                          </p>
                        </td>
                        <td class="px-0">
                          <p class="mb-0 fsize-14 font-weight-bold lightContentBlue">
                            {{product.collectionId && product.collectionId.name}}
                          </p>
                        </td>
                        <td class="px-0">
                          <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
                            {{calcPrice(product) && $utils.formatCurrency(Math.round(calcPrice(product) * 100) / 100)}}
                          </p>
                        </td>
                        <td class="px-0">
                          <p class="mb-0 fsize-16 font-weight-bold green--text"
                            v-if="statusRunning(product, 'product')">
                            Running
                          </p>
                          <p class="mb-0 fsize-16 font-weight-bold orange--text" v-else>
                            Stop
                          </p>
                        </td>
                      </tr>
                    </tbody>
                  </template>
                </v-simple-table>
                <div class="d-flex justify-center my-2" v-if="listProduct.length == 0 && !loadingTable">
                  <span>No product list yet</span>
                </div>
                <div class="text-center mt-4 pb-2 d-sm-flex align-center justify-center"
                  v-if="promotion.promotionType !== '1'">
                  <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
                  </v-pagination>
                  <div id="hideBottomInput" class="input-gotopage pos-relative mx-3 mx-sm-0 mt-3 mt-sm-0">
                    <v-text-field dense outlined v-model.number="page" placeholder="Go to page">
                    </v-text-field>
                    <div class="button-inside-input">
                      <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0"
                        @click="onRedirectPage()">
                        <v-icon color="#ffffff">
                          mdi-chevron-right
                        </v-icon>
                      </v-btn>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </v-card> -->
    </v-col>
    <v-col cols="12" md="3" class="pa-3">
      <v-card class="ui-card pa-6">
        <div id="hideBottomInput">
          <v-switch dense inset v-model="promotion.status"></v-switch>
        </div>
        <div class="mt-3">
          <p class="mb-0 fsize-13">Promotion is running</p>
        </div>
      </v-card>
      <v-card class="ui-card pa-6 mt-2">
        <p class="mb-0 fsize-18 lightContentPrimary">Promotion Time</p>
        <p class="mb-0 mt-3 fsize-14-400 lightContentPrimary">Date start</p>
        <div id="hideBottomInput">
          <v-menu
            v-model="dateStartPicker"
            :close-on-content-click="false"
            :nudge-right="40"
            transition="scale-transition"
            offset-y
            min-width="auto"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-text-field
                v-model="dateStart"
                prepend-icon="mdi-calendar"
                dense
                readonly
                v-bind="attrs"
                v-on="on"
              >
              </v-text-field>
            </template>
            <v-date-picker
              v-model="dateStart"
              @input="dateStartPicker = false"
            ></v-date-picker>
          </v-menu>
        </div>
        <p class="mb-0 mt-3 fsize-14-400 lightContentPrimary">Date end</p>
        <div id="hideBottomInput">
          <v-menu
            v-model="dateEndPicker"
            :close-on-content-click="false"
            :nudge-right="40"
            transition="scale-transition"
            offset-y
            min-width="auto"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-text-field
                v-model="dateEnd"
                prepend-icon="mdi-calendar"
                dense
                readonly
                v-bind="attrs"
                v-on="on"
              >
              </v-text-field>
            </template>
            <v-date-picker
              v-model="dateEnd"
              @input="dateEndPicker = false"
            ></v-date-picker>
          </v-menu>
        </div>
      </v-card>
    </v-col>
  </v-row>
</div>
